// ============================================================================
//
// female_texture1.inc - Copyright 2001 Ian Shumsky / OuterArm
//
// ============================================================================
//
// This file contains the texture requirements for the female body mesh.
//
// ============================================================================

#version unofficial MegaPov 0.6;

//
// Define the main UV map.
//

#declare T_DEFAULT = texture
{
	pigment
	{
		image_map
		{
			png "female_texture1.png"
		}
	}
	finish
	{
		metallic
		brilliance 2
		ambient 0.01
		diffuse 0.6
		specular 0.03
		roughness 0.05
	}
}

//
// Define the base skin texture.
//

#declare T_skin = texture
{
	T_DEFAULT
}

//
// Define the body-part textures.
//

#declare T_eyeBall =texture
{
	T_skin
	finish
	{
		reflection 0.3
	}
}

#declare T_eyeBrow = texture
{
	T_skin
}

#declare T_nipples = texture
{
	T_skin
}

#declare T_lips = texture
{
	T_skin
	finish
	{
		ambient 0.1
		diffuse 0.3
		specular 1
		roughness 0.01
	}
}

#declare T_innerMouth = texture
{
	T_skin
}

#declare T_tongue = texture
{
	T_skin
}

#declare T_teeth = texture
{
	T_skin
}

#declare T_lashes = texture
{
	T_skin
}

#declare T_pupil = texture
{
	T_eyeBall
}

#declare T_iris = texture
{
	T_eyeBall
}

#declare T_fingerNails = texture
{
	T_skin
	finish
	{
		ambient 0.05
		diffuse 0.3
		specular 0.1
		roughness 0.02
	}
}

#declare T_toeNails = texture
{
	T_skin
	finish
	{
		ambient 0.05
		diffuse 0.3
		specular 0.1
		roughness 0.02
	}
}

